<?php
/**
 * @author     polkurier.pl <api@polkurier.pl>
 * @copyright  polkurier.pl
 * @license    https://opensource.org/licenses/OSL-3.0 OSL/OSL-3.0
 * @category   Module
 * @package    Presta 1.7
 * @subpackage polkurier_import_prestashop
 * @link       https://www.polkurier.pl
 * @since      1.0.0
 */

namespace PolkurierApi\ApiMetod;


use Exception;
use PolkurierApiWebServiceApi\Exception\ErrorException;
use PolkurierApiWebServiceApi\Methods\ApiGetMapToken;

/**
 * Class GetMapTokenApi
 * @package PolkurierApi\ApiMetod
 */
final class GetMapTokenApi extends ApiClient
{
    /**
     * @return string
     * @throws Exception
     */
    public function getToken()
    {
        try {
            $method = new ApiGetMapToken();
            $this->webApi()->requestMethod($method);
            return $method->getData();
        } catch (ErrorException $ex) {
            throw new Exception($ex->getMessage());
        }
    }
}